package com.op.wms.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.op.wms.mapper.OdsWhiteEmbryoMapper;
import com.op.wms.domain.OdsWhiteEmbryo;
import com.op.wms.service.IOdsWhiteEmbryoService;

/**
 * 白胚出库单Service业务层处理
 * 
 * @author Open Platform
 * @date 2023-07-06
 */
@Service
public class OdsWhiteEmbryoServiceImpl implements IOdsWhiteEmbryoService {
	@Autowired
	private OdsWhiteEmbryoMapper odsWhiteEmbryoMapper;

	/**
	 * 查询白胚出库单
	 * 
	 * @param ID 白胚出库单主键
	 * @return 白胚出库单
	 */
	@Override
	public OdsWhiteEmbryo selectOdsWhiteEmbryoByID(String ID) {
		return odsWhiteEmbryoMapper.selectOdsWhiteEmbryoByID(ID);
	}

	/**
	 * 查询白胚出库单列表
	 * 
	 * @param odsWhiteEmbryo 白胚出库单
	 * @return 白胚出库单
	 */
	@Override
	public List<OdsWhiteEmbryo> selectOdsWhiteEmbryoList(OdsWhiteEmbryo odsWhiteEmbryo) {
		return odsWhiteEmbryoMapper.selectOdsWhiteEmbryoList(odsWhiteEmbryo);
	}

	/**
	 * 新增白胚出库单
	 * 
	 * @param odsWhiteEmbryo 白胚出库单
	 * @return 结果
	 */
	@Override
	public int insertOdsWhiteEmbryo(OdsWhiteEmbryo odsWhiteEmbryo) {
		return odsWhiteEmbryoMapper.insertOdsWhiteEmbryo(odsWhiteEmbryo);
	}

	/**
	 * 修改白胚出库单
	 * 
	 * @param odsWhiteEmbryo 白胚出库单
	 * @return 结果
	 */
	@Override
	public int updateOdsWhiteEmbryo(OdsWhiteEmbryo odsWhiteEmbryo) {
		return odsWhiteEmbryoMapper.updateOdsWhiteEmbryo(odsWhiteEmbryo);
	}

	/**
	 * 批量删除白胚出库单
	 * 
	 * @param IDs 需要删除的白胚出库单主键
	 * @return 结果
	 */
	@Override
	public int deleteOdsWhiteEmbryoByIDs(String[] IDs) {
		return odsWhiteEmbryoMapper.deleteOdsWhiteEmbryoByIDs(IDs);
	}

	/**
	 * 删除白胚出库单信息
	 * 
	 * @param ID 白胚出库单主键
	 * @return 结果
	 */
	@Override
	public int deleteOdsWhiteEmbryoByID(String ID) {
		return odsWhiteEmbryoMapper.deleteOdsWhiteEmbryoByID(ID);
	}
}
